KDE 4.7 PyKDE API Reference

- KDE's Python API

# Separator Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

Since:
  4.4

## Methods
| __init__ (self, QGraphicsItem parent=0, Qt::WindowFlags wFlags=0)
Qt::Orientation | orientation (self)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget)
| setOrientation (self, Qt::Orientation orientation)
QSizeF | sizeHint (self, Qt::SizeHint which, QSizeF constraint)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsItem | parent=0,
|  | Qt::WindowFlags | wFlags=0
| ) |  |  |

Qt::Orientation orientation | ( |  | self ) |

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget
| ) |  |  |

setOrientation | ( | self, |
|  | Qt::Orientation | orientation
| ) |  |  |

QSizeF sizeHint | ( | self, |
|  | Qt::SizeHint | which,
|  | QSizeF | constraint
| ) |  |  |